## quake2-data 9

=== harness/Makefile ===
# $Id$
# Test harness for quake2-data

DEBIAN := ../debian
VERSION := $(shell cat $(DEBIAN)/changelog | head -1 | sed 's/^.*\(\(.\)\).*$$/\1/')
PACKAGE := quake2-data_${VERSION}_all.deb
STORAGE := /home/jaq/bucket
SHAREFILE := q2-314-demo-x86.exe
POINTFILE := q2-3.20-x86-full-ctf.exe

TESTS = bug-128254 bug-128353 bug-128402 bug-131315 bug-131707

all: check

check:
	for i in $(TESTS) ; do \
		./$$i ; \
	done

mnt:
	mkdir mnt

mnt/$(SHAREFILE): mnt
	cp $(STORAGE)/$(SHAREFILE) mnt

mnt/$(POINTFILE): mnt
	cp $(STORAGE)/$(POINTFILE) mnt

mnt/$(PACKAGE): mnt
	cp ../../$(PACKAGE) mnt

clean:
	rm -f cow_fs *.log *.diff diff.*

=== debian/changelog ===
quake2-data (9) unstable; urgency=low

  * Rewrote version checking code to use dpkg --compare-versions
  * Removed glob in favour of a find | xargs (Closes: #134270)

 -- Jamie Wilkinson <jaq@debian.org>  Sun,  3 Mar 2002 19:17:38 +1100

quake2-data (8) unstable; urgency=low

  * Fixed a bug in debian/config that broke the flow of backing up.
  * Fixed typo in debian/templates (Closes: #133823)
  * Added check for case of CD-ROM directories (Closes: #133347)
  * Added versioned depends on debconf 0.5.00

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 15 Feb 2002 11:29:06 +1100

quake2-data (7) unstable; urgency=low

  * Removed -x from postinst (Closes: #131315, #131370)
  * Added a test harness to check for package errors.
  * Added more clarification to debian/templates for installation of already
    downloaded files (Closes: #131324)
  * Wrote custom pushd/popd replacements. (Closes: #131707)

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 29 Jan 2002 12:37:04 +1100

quake2-data (6) unstable; urgency=low

  * Made pushd and popd silent.
  * Fixed installation of player models. (Closes: #128934)
  * debian/config doesn't ask where to download from if things are already
    installed. (Closes: #130742)
  * Edited extended description in debian/control to describe installation
    options.
  
 -- Jamie Wilkinson <jaq@spacepants.org>  Sat, 26 Jan 2002 13:39:42 +1100

quake2-data (5) unstable; urgency=low

  * The "Removed Depends: telepathy" release.
  * Rewrote debian/templates to be less confusing, now using boolean debconf
    type where applicable.  debian/config is now a choose-your-own-adventure.
    (Closes: #128483, #128861)
  * Users don't have to install the data. (Closes: #128403)
  * Check the value of $STORAGE in postinst. (Closes: #128559)
  * Data isn't automatically reinstalled when upgrading anymore.
  * Using --dotstyle=mega option to wget.  (Closes: #130620)

 -- Jamie Wilkinson <jaq@spacepants.org>  Sun, 20 Jan 2002 16:55:42 +1100

quake2-data (4) unstable; urgency=low

  * Installation of documentation fixed in -2 (Closes: #128254) 
  * I think the second part to #128254 was also fixed in -2, by making the
    download destination default to /root rather than being blank.
  * debian/README removed, text inserted into README.Debian, due to
    conflict with renamed readme.txt from installed data.
  * debian/prerm now removes the ctf/ directory and maps.lst files.
  * removed text from debian/templates suggesting that a download may be
    avoided, as it is currently unsupported.
  * Path to CD-ROM installation fixed in -3 (Closes: #128353)

 -- Jamie Wilkinson <jaq@spacepants.org>  Wed,  9 Jan 2002 03:35:29 +1100

quake2-data (3) unstable; urgency=low

  * Fixed path to baseq2/ for CD-ROM installation 

 -- Jamie Wilkinson <jaq@spacepants.org>  Wed,  2 Jan 2002 15:56:21 +1100

quake2-data (2) unstable; urgency=low

  * Installs CTF game data from q2-3.20-x86-full-ctf.exe
  * Fixed a bug in postinst that was installing *.txt from the download
    directory into /usr/share/doc/quake2-data
  * Fixed lintian warnings in postinst and config, Policy 11.4
  * Renamed readme.txt to README, cosmetic reasons

 -- Jamie Wilkinson <jaq@spacepants.org>  Tue,  1 Jan 2002 14:56:28 +1100

quake2-data (1) unstable; urgency=low

  * Initial Release.  (Closes: #127170)

 -- Jamie Wilkinson <jaq@spacepants.org>  Sun, 30 Dec 2001 21:11:45 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: quake2-data
Section: contrib/games
Priority: optional
Maintainer: Jamie Wilkinson <jaq@debian.org>
Build-Depends-Indep: debhelper
Standards-Version: 3.5.6

Package: quake2-data
Architecture: all
Depends: wget, unzip, debconf (>= 0.5.00)
Description: Installer for Quake II data files
 This package installs Quake II data files into your Debian system.
 .
 You have the choice of installing from the following sources of data:
  - shareware data from the internet
  - Quake II CD-ROM
  - Quake II CD-ROM + point release from the internet
 .
 The install could take anywhere between 5M to 400MB, depending on your
 installation medium and how you choose to install.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	cd harness && $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
#	dh_compress
#	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## quake2-data 13

=== debian/changelog ===
quake2-data (13) unstable; urgency=low

  * Used -0 to find/xargs to cope with pathnames with spaces in them.
    (Closes: #161728)
  * Fixed versioned depends on debhelper, thanks to linda.
  * Standards Version: 3.5.7.0.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 23 Sep 2002 10:50:04 +1000

quake2-data (12) unstable; urgency=low

  * The "need a job soon or I'm going to be bug-free" release.
  * Become policy compliant by moving existing game data to /usr/share,
    and putting new installs into /usr/share.  Symlinking back to /usr/lib
    so that the game still works (symlinks will be removed when the new
    quake2 gets released). (Closes: #130772)
  * The last sentence pushed this changelog over 4k, so added dh_compress
    to rules to appease linda.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 14 Aug 2002 10:58:10 +1000

quake2-data (11) unstable; urgency=low

  * Fixed typo in directory case check. (Closes: #151008)

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 13 Aug 2002 22:05:32 +1000

quake2-data (10) unstable; urgency=low

  * Added '-r' to xargs (Closes: #148353, #148356)
  * Removed harness from package.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 24 Jun 2002 17:35:03 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: contrib/games
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends-Indep: debhelper
-Standards-Version: 3.5.6
+Build-Depends-Indep: debhelper (>> 3.0.0)
+Standards-Version: 3.5.7.0
 
 Package: quake2-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-	
-
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -25,7 +22,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	cd harness && $(MAKE) clean
 	dh_clean
 
 install: build
@@ -58,7 +54,7 @@
 	dh_installchangelogs 
 #	dh_link
 #	dh_strip
-#	dh_compress
+	dh_compress
 #	dh_fixperms
 #	dh_makeshlibs
 	dh_installdeb

## quake2-data 13-0.2

=== debian/changelog ===
quake2-data (13-0.2) unstable; urgency=low

  * Non-maintainer upload to fix an important issue triggerred by
    the former NMU
  * Remove bogus test on former version in the config script. Closes: #399239
  * Debconf translation updates:
    - French added

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Nov 2006 14:38:01 +0100

quake2-data (13-0.1) unstable; urgency=low

  * Non-maintainer upload to fix (very) longstanding l10n issues
  * Switch to po-debconf for debconf templates
    Closes: #235635
  * Remove an abusive debconf note. Closes: #388953
  * Depend on "debconf | debconf-2.0". Closes: #332080
  * Minor debconf templates rewrites to make them more compliant
    with recommendations from the Developer's Reference
  * Lintian fixes, while we're at it:
    - Set the debhelper compatibility to 4 with debian/compat
    - Move the build dependency on debhelper to Build-Depends as
      it is used in the clean target
  * Debconf translations:
    - Swedish added. Sent during the call for updates for the NMU.
    - Russian added. Sent during the call for updates for the NMU.
    - Vietnamese added. Sent during the call for updates for the NMU.
    - Czech updated. Sent during the call for updates for the NMU.
    - Portuguese added. Closes: #396597
    - German added.
    - Romanian added. Sent during the call for updates for the NMU.

 -- Christian Perrier <bubulle@debian.org>  Mon,  6 Nov 2006 07:19:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: contrib/games
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
+Build-Depends: debhelper (>= 4.1.12)
 Standards-Version: 3.5.7.0
 
 Package: quake2-data
 Architecture: all
-Depends: wget, unzip, debconf (>= 0.5.00)
+Depends: wget, unzip, debconf | debconf-2.0
 Description: Installer for Quake II data files
  This package installs Quake II data files into your Debian system.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
